# List settlement captures Retrieve all captures included in the given settlement. The response is in the same format as the response of the [List captures endpoint](list-captures). > 🔑 Access with > > [Organization access token with **settlements.read** **payments.read**](/reference/authentication) > > [OAuth access with **settlements.read** **payments.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Business operations", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com/v2" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/settlements/{settlementId}/captures": { "parameters": [ { "name": "settlementId", "description": "Provide the ID of the related settlement.", "in": "path", "required": true, "schema": { "type": "string", "pattern": "^stl_.+$", "example": "stl_5B8cwPMGnU" } } ], "get": { "summary": "List settlement captures", "x-speakeasy-name-override": "list-captures", "tags": [ "Settlements API" ], "operationId": "list-settlement-captures", "security": [ { "organizationAccessToken": [ "settlements.read", "payments.read" ] }, { "oAuth": [ "settlements.read", "payments.read" ] } ], "description": "Retrieve all captures included in the given settlement.\n\nThe response is in the same format as the response of the [List captures endpoint](list-captures).\n\n> 🔑 Access with\n>\n> [Organization access token with **settlements.read** **payments.read**](/reference/authentication)\n>\n> [OAuth access with **settlements.read** **payments.read**](/reference/authentication)", "parameters": [ { "name": "from", "in": "query", "description": "Provide an ID to start the result set from the item with the given ID and onwards. This allows you to paginate the result set.", "schema": { "type": "string", "pattern": "^cpt_.+$", "example": "cpt_vytxeTZskVKR7C7WgdSP3d" } }, { "name": "limit", "description": "The maximum number of items to return. Defaults to 50 items.", "in": "query", "schema": { "type": [ "integer", "null" ], "minimum": 1, "maximum": 250, "default": 50, "example": 50 } }, { "description": "This endpoint allows you to embed additional resources via the `embed` query string parameter.", "schema": { "type": "string", "enum": [ "payment" ], "x-enumDescriptions": { "payment": "Embed the payments that the captures were created for." }, "example": "payment" }, "name": "embed", "in": "query" } ], "responses": { "200": { "description": "A list of capture objects.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "count", "_embedded", "_links" ], "properties": { "count": { "type": "integer", "description": "The number of items in this result set. If more items are available, a `_links.next` URL will be present in the result as well.\n\nThe maximum number of items per result set is controlled by the `limit` property provided in the request. The default limit is 50 items.", "minimum": 1, "maximum": 250, "example": 5 }, "_embedded": { "type": "object", "required": [ "captures" ], "properties": { "captures": { "description": "An array of capture objects.", "type": "array", "items": { "allOf": [ { "allOf": [ { "type": "object", "properties": { "resource": { "type": "string", "description": "Indicates the response contains a capture object. Will always contain the string `capture` for this endpoint.", "readOnly": true, "example": "capture" }, "id": { "allOf": [ { "type": "string", "pattern": "^cpt_.+$", "example": "cpt_vytxeTZskVKR7C7WgdSP3d" } ], "description": "The identifier uniquely referring to this capture. Example: `cpt_mNepDkEtco6ah3QNPUGYH`.", "readOnly": true }, "mode": { "type": "string", "description": "Whether this entity was created in live mode or in test mode.\n\nPossible values: `live` `test`", "readOnly": true, "example": "live" }, "description": { "type": "string", "description": "The description of the capture.", "maxLength": 255, "example": "Capture for cart #12345" }, "amount": { "description": "The amount captured. If no amount is provided, the full authorized amount is captured.", "type": [ "object", "null" ], "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "settlementAmount": { "allOf": [ { "type": [ "object", "null" ], "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "This optional field will contain the approximate amount that will be settled to your account, converted to the currency your account is settled in.\n\nSince the field contains an estimated amount during capture processing, it may change over time. To retrieve accurate settlement amounts we recommend using the [List balance transactions endpoint](list-balance-transactions) instead.", "readOnly": true }, "status": { "allOf": [ { "type": "string", "description": "The capture's status.\n\nPossible values: `pending` `succeeded` `failed`", "example": "succeeded" } ], "readOnly": true }, "metadata": { "oneOf": [ { "type": "string" }, { "type": "number" }, { "type": "object", "properties": {}, "additionalProperties": true }, { "type": "array", "items": { "type": "string" } }, { "type": "null" } ], "description": "Provide any data you like, for example a string or a JSON object. We will save the data alongside the entity. Whenever you fetch the entity with our API, we will also include the metadata. You can use up to approximately 1kB." }, "paymentId": { "allOf": [ { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" } ], "description": "The unique identifier of the payment this capture was created for. For example: `tr_5B8cwPMGnU6qLbRvo7qEZo`. The full payment object can be retrieved via the payment URL in the `_links` object.", "readOnly": true }, "shipmentId": { "type": [ "string", "null" ], "allOf": [ { "type": "string", "pattern": "^shp_.+$", "example": "shp_5x4xQJDWGNcY3tKGL7X5J" } ], "description": "The unique identifier of the shipment that triggered the creation of this capture, if applicable. For example: `shp_gNapNy9qQTUFZYnCrCF7J`.", "readOnly": true }, "settlementId": { "type": [ "string", "null" ], "allOf": [ { "type": "string", "pattern": "^stl_.+$", "example": "stl_5B8cwPMGnU" } ], "description": "The identifier referring to the settlement this capture was settled with. For example, `stl_BkEjN2eBb`. This field is omitted if the capture is not settled (yet).", "readOnly": true }, "createdAt": { "type": "string", "description": "The entity's date and time of creation, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true, "example": "2024-03-20T09:13:37+00:00" }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "required": [ "self", "payment" ], "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "payment": { "description": "The API resource URL of the [payment](get-payment) that this capture belongs to.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "settlement": { "description": "The API resource URL of the [settlement](get-settlement) this capture has been settled with. Not present if not yet settled.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "shipment": { "description": "The API resource URL of the [shipment](get-shipment) this capture is associated with. Not present if it isn't associated with a shipment.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true } } }, { "type": "object", "required": [ "resource", "id", "mode", "amount", "status", "createdAt", "paymentId", "_links" ] } ] }, { "type": "object", "properties": { "mode": { "type": "string", "description": "Whether this entity was created in live mode or in test mode. Settlements are always in live mode.\n\nPossible values: `live`", "readOnly": true, "example": "live" }, "status": { "type": "string", "description": "The capture's status. Settlement captures always have a status of `succeeded`.\n\nPossible values: `succeeded`", "readOnly": true, "example": "succeeded" } } } ] } } } }, "_links": { "type": "object", "description": "Links to help navigate through the lists of items. Every URL object will contain an `href` and a `type` field.", "required": [ "self", "previous", "next", "documentation" ], "properties": { "self": { "description": "The URL to the current set of items.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "previous": { "description": "The previous set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "next": { "description": "The next set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "list-settlement-captures-200-1": { "summary": "A list of settlement capture objects", "value": { "count": 1, "_embedded": { "captures": [ { "resource": "capture", "id": "cpt_vytxeTZskVKR7C7WgdSP3d", "mode": "live", "description": "Capture for cart #12345", "amount": { "currency": "EUR", "value": "35.95" }, "metadata": "{\"bookkeeping_id\":12345}", "status": "succeeded", "paymentId": "tr_5B8cwPMGnU6qLbRvo7qEZo", "settlementId": "stl_jDk30akdN", "createdAt": "2023-08-02T09:29:56+00:00", "_links": { "self": { "href": "...", "type": "application/hal+json" }, "payment": { "href": "https://api.mollie.com/v2/payments/tr_5B8cwPMGnU6qLbRvo7qEZo", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } ] }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": { "href": { "value": "https://api.mollie.test/v2/settlements/stl_nml7kw/captures?from=cpt_vytxeTZskVKR7C7WgdSP3d&limit=1" }, "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } } } } } }, "400": { "description": "The request contains issues. For example, if the specified `from` value is not a valid ID.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 400, "title": "Bad Request", "detail": "Invalid cursor value", "field": "from", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } }, "404": { "description": "No entity with this ID exists.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 404, "title": "Not Found", "detail": "No entity exists with token 'uct_abcDEFghij123456789'", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } } }, "x-speakeasy-pagination": { "type": "url", "outputs": { "nextUrl": "$._links.next.href" } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/settlements/stl_jDk30akdN/captures \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken('access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ');\n\n$request = new GetPaginatedSettlementCapturesRequest('stl_jDk30akdN');\n\n$captures = $mollie->send($request);", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "const { createMollieClient } = require('@mollie/api-client');\nconst mollieClient = createMollieClient({ accessToken: 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ' });\n\nconst settlement = await mollieClient.settlementCaptures.iterate({\n settlementId: 'stl_jDk30akdN'\n});", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_access_token(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\")\n\nsettlement = mollie_client.settlements.get(\"stl_jDk30akdN\")\ncaptures = settlement.captures.list()", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\ncaptures = Mollie::Settlement::Capture.all(settlement_id: 'stl_jDk30akdN')", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```